Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 892131 - dev-ml/*: rekeywording
Summary: dev-ml/*: rekeywording
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2023-01-27 00:32 UTC by Sam James
Modified: 2023-02-24 22:19 UTC (History)
3 users (show)

See Also:
Package list:
>=dev-ml/async_kernel-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/core_bench-0.15.0 arm arm64 ppc ppc64 x86 >=dev-ml/async_unix-0.15.0 arm arm64 ppc ppc64 x86 >=dev-ml/base_bigstring-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/core-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/core_kernel-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/alcotest-1.6.0-r1 arm arm64 ppc ppc64 x86 >=dev-ml/camlp5-8.00.03 alpha >=dev-ml/patience_diff-0.15.0 riscv >=dev-ml/ppx_jane-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/textutils-0.15.0 arm arm64 ppc ppc64 x86 >=dev-ml/timezone-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/core_unix-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 >=dev-ml/expect_test_helpers_core-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/int_repr-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/ocaml_intrinsics-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 >=dev-ml/ppx_disable_unused_warnings-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/ppx_ignore_instrumentation-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/ppx_jane-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/ppx_log-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/sexp_pretty-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/textutils_kernel-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/timezone-0.15.0 arm arm64 ppc ppc64 riscv x86 >=dev-ml/async-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 >=dev-ml/async_rpc_kernel-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 >=dev-ml/protocol_version_header-0.15.0 ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86
Runtime testing required: ---
nattka: sanity-check+


Attachments
build.log (build.log,34.82 KB, text/plain)
2023-02-08 11:46 UTC, jinqiang zhang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-01-27 00:32:17 UTC
Thanks!
Comment 1 NATTkA bot gentoo-dev 2023-01-27 00:36:24 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2023-01-27 12:40:24 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2023-01-27 19:52:28 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2023-01-27 22:04:25 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2023-01-28 10:08:25 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2023-01-28 21:24:34 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2023-01-29 09:28:32 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2023-01-29 21:32:26 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2023-01-30 09:36:25 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2023-01-30 21:40:24 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2023-01-31 09:44:25 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2023-02-01 21:56:25 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2023-02-02 10:00:29 UTC Comment hidden (obsolete)
Comment 14 NATTkA bot gentoo-dev 2023-02-02 22:04:27 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2023-02-03 10:08:26 UTC Comment hidden (obsolete)
Comment 16 NATTkA bot gentoo-dev 2023-02-03 22:12:26 UTC Comment hidden (obsolete)
Comment 17 NATTkA bot gentoo-dev 2023-02-04 10:16:31 UTC Comment hidden (obsolete)
Comment 18 NATTkA bot gentoo-dev 2023-02-04 22:20:27 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2023-02-05 10:24:25 UTC Comment hidden (obsolete)
Comment 20 NATTkA bot gentoo-dev 2023-02-05 22:28:27 UTC Comment hidden (obsolete)
Comment 21 NATTkA bot gentoo-dev 2023-02-06 10:32:26 UTC Comment hidden (obsolete)
Comment 22 NATTkA bot gentoo-dev 2023-02-07 10:40:33 UTC Comment hidden (obsolete)
Comment 23 NATTkA bot gentoo-dev 2023-02-07 13:44:15 UTC Comment hidden (obsolete)
Comment 24 NATTkA bot gentoo-dev 2023-02-07 15:04:14 UTC Comment hidden (obsolete)
Comment 25 NATTkA bot gentoo-dev 2023-02-07 17:24:16 UTC Comment hidden (obsolete)
Comment 26 NATTkA bot gentoo-dev 2023-02-07 17:32:15 UTC Comment hidden (obsolete)
Comment 27 NATTkA bot gentoo-dev 2023-02-07 17:41:56 UTC Comment hidden (obsolete)
Comment 28 NATTkA bot gentoo-dev 2023-02-07 18:04:15 UTC Comment hidden (obsolete)
Comment 29 NATTkA bot gentoo-dev 2023-02-07 18:12:48 UTC Comment hidden (obsolete)
Comment 30 NATTkA bot gentoo-dev 2023-02-07 18:56:26 UTC Comment hidden (obsolete)
Comment 31 Tupone Alfredo gentoo-dev 2023-02-07 19:03:06 UTC
dropped lablgtk (* requires ia64)
dropped seq (We are trying to not require it)
Comment 32 jinqiang zhang archtester 2023-02-08 11:46:21 UTC
Created attachment 850158 [details]
build.log

dev-ml/ocaml_intrinsics-0.15.2 ~riscv build.log
Comment 33 jinqiang zhang archtester 2023-02-08 11:49:52 UTC
dev-ml/ocaml_intrinsics-0.15.2 encountered compilation errors on riscv, it seems that dev-ml/ocaml_intrinsics-0.15.2 only supports amd64 (SSE4_2) and arm (CRC32).



riscv64-unknown-linux-gnu-gcc src/crc_stubs.o (exit 1)
crc_stubs.c: In function ‘crc64’:
crc_stubs.c:16:2: error: #error "Target not supported"
   16 | #error "Target not supported"
      |  ^~~~~


Upstream code: https://github.com/janestreet/ocaml_intrinsics/blob/22cce0d47d23ebcb7d782a4d0f7ee6bf47333df3/src/crc_stubs.c#L16
Comment 34 jinqiang zhang archtester 2023-02-08 13:26:31 UTC
This build.log looks a bit malformed in plain/text, you can use curl or cat.

dev-ml/ocaml_intrinsics will block other packages that depend on it, so it is best to keep only the amd64 (maybe also arm64) keyword for these packages?

Can someone help to get nattka bot to clean up keywords? I don't have permission to edit Package list, thanks.

The blocked packages list:

=dev-ml/core_bench-0.15.0
=dev-ml/async_unix-0.15.0
=dev-ml/alcotest-1.6.0-r1
=dev-ml/textutils-0.15.0
=dev-ml/core_unix-0.15.2-r1
=dev-ml/ocaml_intrinsics-0.15.2
=dev-ml/async-0.15.0


Others looks good on riscv.

FEATURES=' test' USE='' succeeded for =dev-ml/async_kernel-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/async_kernel-0.15.0
USE='ocamlopt' succeeded for =dev-ml/async_kernel-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/base_bigstring-0.15.0-r1
USE='-ocamlopt' succeeded for =dev-ml/base_bigstring-0.15.0-r1
USE='ocamlopt' succeeded for =dev-ml/base_bigstring-0.15.0-r1

FEATURES=' test' USE='' succeeded for =dev-ml/core-0.15.1-r1
USE='-ocamlopt' succeeded for =dev-ml/core-0.15.1-r1
USE='ocamlopt' succeeded for =dev-ml/core-0.15.1-r1

FEATURES=' test' USE='' succeeded for =dev-ml/core_kernel-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/core_kernel-0.15.0
USE='ocamlopt' succeeded for =dev-ml/core_kernel-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/patience_diff-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/patience_diff-0.15.0
USE='ocamlopt' succeeded for =dev-ml/patience_diff-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/ppx_jane-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/ppx_jane-0.15.0
USE='ocamlopt' succeeded for =dev-ml/ppx_jane-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/timezone-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/timezone-0.15.0
USE='ocamlopt' succeeded for =dev-ml/timezone-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/expect_test_helpers_core-0.15.0-r1
USE='-ocamlopt' succeeded for =dev-ml/expect_test_helpers_core-0.15.0-r1
USE='ocamlopt' succeeded for =dev-ml/expect_test_helpers_core-0.15.0-r1

FEATURES=' test' USE='' succeeded for =dev-ml/int_repr-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/int_repr-0.15.0
USE='ocamlopt' succeeded for =dev-ml/int_repr-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/ppx_disable_unused_warnings-0.15.0-r1
USE='-ocamlopt' succeeded for =dev-ml/ppx_disable_unused_warnings-0.15.0-r1
USE='ocamlopt' succeeded for =dev-ml/ppx_disable_unused_warnings-0.15.0-r1

FEATURES=' test' USE='' succeeded for =dev-ml/ppx_ignore_instrumentation-0.15.0-r1
USE='-ocamlopt' succeeded for =dev-ml/ppx_ignore_instrumentation-0.15.0-r1
USE='ocamlopt' succeeded for =dev-ml/ppx_ignore_instrumentation-0.15.0-r1

FEATURES=' test' USE='' succeeded for =dev-ml/ppx_log-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/ppx_log-0.15.0
USE='ocamlopt' succeeded for =dev-ml/ppx_log-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/sexp_pretty-0.15.1-r1
USE='-ocamlopt' succeeded for =dev-ml/sexp_pretty-0.15.1-r1
USE='ocamlopt' succeeded for =dev-ml/sexp_pretty-0.15.1-r1

FEATURES=' test' USE='' succeeded for =dev-ml/textutils_kernel-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/textutils_kernel-0.15.0
USE='ocamlopt' succeeded for =dev-ml/textutils_kernel-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/async_rpc_kernel-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/async_rpc_kernel-0.15.0
USE='ocamlopt' succeeded for =dev-ml/async_rpc_kernel-0.15.0

FEATURES=' test' USE='' succeeded for =dev-ml/protocol_version_header-0.15.0
USE='-ocamlopt' succeeded for =dev-ml/protocol_version_header-0.15.0
USE='ocamlopt' succeeded for =dev-ml/protocol_version_header-0.15.0
Comment 35 Yixun Lan archtester gentoo-dev 2023-02-08 14:06:02 UTC
updated list to drop following packages for ARCH=riscv

=dev-ml/core_bench-0.15.0
=dev-ml/async_unix-0.15.0
=dev-ml/alcotest-1.6.0-r1
=dev-ml/textutils-0.15.0
=dev-ml/core_unix-0.15.2-r1
=dev-ml/ocaml_intrinsics-0.15.2
=dev-ml/async-0.15.0

please file a bug for dev-ml/ocaml_intrinsics, once fixed, we can revisit the keywording work
Comment 36 jinqiang zhang archtester 2023-02-08 14:32:34 UTC
Filed in bug #893612, not blocking here.
Comment 37 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-02-10 01:28:39 UTC
(In reply to jinqiang zhang from comment #36)
> Filed in bug #893612, not blocking here.

sorry I'd missed your comment here!
Comment 38 NATTkA bot gentoo-dev 2023-02-10 01:32:23 UTC Comment hidden (obsolete)
Comment 39 NATTkA bot gentoo-dev 2023-02-10 01:56:46 UTC Comment hidden (obsolete)
Comment 40 NATTkA bot gentoo-dev 2023-02-10 02:44:50 UTC
All sanity-check issues have been resolved
Comment 41 jinqiang zhang archtester 2023-02-10 02:54:37 UTC
Now all packages that depend on dev-ml/ocaml intrinsics-0.15.2 ~riscv have been cleaned up in the Package list, and the rest have been tested and passed (comment #34)

So looks good on riscv now.
Comment 42 Yixun Lan archtester gentoo-dev 2023-02-10 08:29:23 UTC
riscv done
Comment 43 Matt Turner gentoo-dev 2023-02-15 18:36:54 UTC
alpha keywords dropped.
Comment 44 Arthur Zamarin archtester gentoo-dev 2023-02-20 20:26:30 UTC
x86 done
Comment 45 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-02-24 16:55:30 UTC
arm64 done
Comment 46 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-02-24 22:19:46 UTC
arm done